Package: org.codehaus.groovy.groovydoc

## [Java] Interface GroovyProgramElementDoc

- org.codehaus.groovy.groovydoc.GroovyDoc

- All Superinterfaces:
    GroovyDoc

      public interface GroovyProgramElementDoc
      extends GroovyDoc

  Describes a documented program element that can appear within a package or type.

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public GroovyAnnotationRef[]` | `annotations()` Returns the annotations declared on this element.
    `` | `public GroovyClassDoc` | `containingClass()` Returns the containing class for this element.
    `` | `public GroovyPackageDoc` | `containingPackage()` Returns the package that contains this element.
    `` | `public boolean` | `isFinal()` Indicates whether this element is declared `final`.
    `` | `public boolean` | `isPackagePrivate()` Indicates whether this element has package-private visibility.
    `` | `public boolean` | `isPrivate()` Indicates whether this element is declared `private`.
    `` | `public boolean` | `isProtected()` Indicates whether this element is declared `protected`.
    `` | `public boolean` | `isPublic()` Indicates whether this element is declared `public`.
    `` | `public boolean` | `isStatic()` Indicates whether this element is declared `static`.
    `` | `public int` | `modifierSpecifier()` Returns the modifier flags for this element.
    `` | `public String` | `modifiers()` Returns the rendered modifier text for this element.
    `` | `public String` | `qualifiedName()` Returns the fully qualified name of this element.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `interface GroovyDoc` | `commentText, firstSentenceCommentText, getRawCommentText, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, name, setRawCommentText`

- - ### Method Detail

    - #### public GroovyAnnotationRef[] annotations()

      Returns the annotations declared on this element.

      Returns:
        the declared annotations

    - #### public GroovyClassDoc containingClass()

      Returns the containing class for this element.

      Returns:
        the containing class, or `null` if this element is not nested within a class

    - #### public GroovyPackageDoc containingPackage()

      Returns the package that contains this element.

      Returns:
        the containing package, or `null` if none is available

    - #### public boolean isFinal()

      Indicates whether this element is declared `final`.

      Returns:
        `true` if this element is final

    - #### public boolean isPackagePrivate()

      Indicates whether this element has package-private visibility.

      Returns:
        `true` if this element is package-private

    - #### public boolean isPrivate()

      Indicates whether this element is declared `private`.

      Returns:
        `true` if this element is private

    - #### public boolean isProtected()

      Indicates whether this element is declared `protected`.

      Returns:
        `true` if this element is protected

    - #### public boolean isPublic()

      Indicates whether this element is declared `public`.

      Returns:
        `true` if this element is public

    - #### public boolean isStatic()

      Indicates whether this element is declared `static`.

      Returns:
        `true` if this element is static

    - #### public int modifierSpecifier()

      Returns the modifier flags for this element.

      Returns:
        the modifier bit set

    - #### public String modifiers()

      Returns the rendered modifier text for this element.

      Returns:
        the modifier text

    - #### public String qualifiedName()

      Returns the fully qualified name of this element.

      Returns:
        the qualified name